
package com.mobinil.eaidev.meai_onlineservices.webservices.edistribution.expaymentseligibilitywsdl;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "EXpaymentsEligibilityWSDL", targetNamespace = "http://eaidev.mobinil.com/MEAI_OnlineServices/webServices/EDistribution/EXpaymentsEligibilityWSDL", wsdlLocation = "file:/C:/ORANGE/EXpaymentsEligibilityWSDL.wsdl")
public class EXpaymentsEligibilityWSDL
    extends Service
{

    private final static URL EXPAYMENTSELIGIBILITYWSDL_WSDL_LOCATION;
    private final static WebServiceException EXPAYMENTSELIGIBILITYWSDL_EXCEPTION;
    private final static QName EXPAYMENTSELIGIBILITYWSDL_QNAME = new QName("http://eaidev.mobinil.com/MEAI_OnlineServices/webServices/EDistribution/EXpaymentsEligibilityWSDL", "EXpaymentsEligibilityWSDL");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("file:/C:/ORANGE/EXpaymentsEligibilityWSDL.wsdl");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        EXPAYMENTSELIGIBILITYWSDL_WSDL_LOCATION = url;
        EXPAYMENTSELIGIBILITYWSDL_EXCEPTION = e;
    }

    public EXpaymentsEligibilityWSDL() {
        super(__getWsdlLocation(), EXPAYMENTSELIGIBILITYWSDL_QNAME);
    }

    public EXpaymentsEligibilityWSDL(WebServiceFeature... features) {
        super(__getWsdlLocation(), EXPAYMENTSELIGIBILITYWSDL_QNAME, features);
    }

    public EXpaymentsEligibilityWSDL(URL wsdlLocation) {
        super(wsdlLocation, EXPAYMENTSELIGIBILITYWSDL_QNAME);
    }

    public EXpaymentsEligibilityWSDL(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, EXPAYMENTSELIGIBILITYWSDL_QNAME, features);
    }

    public EXpaymentsEligibilityWSDL(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public EXpaymentsEligibilityWSDL(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns EXpaymentsEligibilityWSDLPortType
     */
    @WebEndpoint(name = "MEAI_OnlineServices_webServices_EDistribution_EXpaymentsEligibilityWSDL_Port")
    public EXpaymentsEligibilityWSDLPortType getMEAIOnlineServicesWebServicesEDistributionEXpaymentsEligibilityWSDLPort() {
        return super.getPort(new QName("http://eaidev.mobinil.com/MEAI_OnlineServices/webServices/EDistribution/EXpaymentsEligibilityWSDL", "MEAI_OnlineServices_webServices_EDistribution_EXpaymentsEligibilityWSDL_Port"), EXpaymentsEligibilityWSDLPortType.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns EXpaymentsEligibilityWSDLPortType
     */
    @WebEndpoint(name = "MEAI_OnlineServices_webServices_EDistribution_EXpaymentsEligibilityWSDL_Port")
    public EXpaymentsEligibilityWSDLPortType getMEAIOnlineServicesWebServicesEDistributionEXpaymentsEligibilityWSDLPort(WebServiceFeature... features) {
        return super.getPort(new QName("http://eaidev.mobinil.com/MEAI_OnlineServices/webServices/EDistribution/EXpaymentsEligibilityWSDL", "MEAI_OnlineServices_webServices_EDistribution_EXpaymentsEligibilityWSDL_Port"), EXpaymentsEligibilityWSDLPortType.class, features);
    }

    private static URL __getWsdlLocation() {
        if (EXPAYMENTSELIGIBILITYWSDL_EXCEPTION!= null) {
            throw EXPAYMENTSELIGIBILITYWSDL_EXCEPTION;
        }
        return EXPAYMENTSELIGIBILITYWSDL_WSDL_LOCATION;
    }

}
